## dune-localfunctions 2.3.1

=== CMakeLists.txt ===
# set up project
project("dune-localfunctions" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.6)

# guess dune-common build dir
if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# $Id: duneproject 5232 2008-07-03 09:34:11Z christi $

# we need the module file to be able to build via dunecontrol
set(EXTRA_DIST dune.module)

# don't follow the full GNU-standard
# we need automake 1.9 or newer
set(AUTOMAKE_OPTIONS  foreign 1.9)

set(SUBDIRS  dune doc m4 cmake/modules)

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== dune/localfunctions/CMakeLists.txt ===
set(localfunctionsdir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions)

set(localfunctions_HEADERS
        dualmortarbasis.hh
        lagrange.hh
        mimetic.hh
        monom.hh
        orthonormal.hh
        rannacherturek.hh
        raviartthomas.hh
        refined.hh)

set(SUBDIRS
        brezzidouglasmarini
        common
	dualmortarbasis
        hierarchical
        lagrange
        meta
        mimetic
        monom
        orthonormal
        rannacherturek
        raviartthomas
        refined
        test
        utility
        whitney)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${localfunctions_HEADERS} DESTINATION ${localfunctionsdir})
foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/localfunctions/brezzidouglasmarini/CMakeLists.txt ===
set(brezzidouglasmarinidir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/brezzidouglasmarini)

set(brezzidouglasmarini_HEADERS
  brezzidouglasmarini1cube2d.hh
  brezzidouglasmarini1cube3d.hh
  brezzidouglasmarini2cube2d.hh
  brezzidouglasmarini1q2d.hh
  brezzidouglasmarini1simplex2d.hh
  brezzidouglasmarini2simplex2d.hh
  brezzidouglasmarini12d.hh)

set(SUBDIRS
  brezzidouglasmarini1cube2d
  brezzidouglasmarini1cube3d
  brezzidouglasmarini2cube2d
  brezzidouglasmarini1simplex2d
  brezzidouglasmarini2simplex2d)

install(FILES ${brezzidouglasmarini_HEADERS} DESTINATION ${brezzidouglasmarinidir})
foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/localfunctions/lagrange/CMakeLists.txt ===
set(SUBDIRS  p0 p1 p23d pk1d pk2d pk3d prismp1 prismp2 pyramidp1 pyramidp2 q1 q2 qk)

set(lagrangedir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange)
set(lagrange_HEADERS  emptypoints.hh        lagrangebasis.hh
                   equidistantpoints.hh  lagrangecoefficients.hh
                   interpolation.hh
                   p0.hh p1.hh p23d.hh p2.hh pk1d.hh pk2d.hh pk3d.hh pk.hh pq22d.hh
                   prismp1.hh prismp2.hh pyramidp1.hh pyramidp2.hh q1.hh q2.hh
                   qk.hh pqkfactory.hh)

install(FILES ${lagrange_HEADERS} DESTINATION ${lagrangedir})
foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/localfunctions/monom/CMakeLists.txt ===
set(monomdir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/monom)

set(monom_HEADERS  monomlocalbasis.hh monomlocalcoefficients.hh monomlocalinterpolation.hh)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${monom_HEADERS} DESTINATION ${monomdir})

=== dune/localfunctions/rannacherturek/CMakeLists.txt ===
set(rannacherturekdir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/rannacherturek)

set(rannacherturek_HEADERS
  rannacherturek.hh
  rannacherturek2d.hh
  rannachertureklocalbasis.hh
  rannachertureklocalcoefficients.hh
  rannachertureklocalinterpolation.hh)

set(SUBDIRS  rannacherturek2d rannacherturek3d)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${rannacherturek_HEADERS} DESTINATION ${rannacherturekdir})
foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/localfunctions/raviartthomas/CMakeLists.txt ===
set(raviartthomasdir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/raviartthomas)

set(raviartthomas_HEADERS  raviartthomas02d.hh raviartthomas0q2d.hh raviartthomas0q3d.hh raviartthomas0q.hh
                        raviartthomas12d.hh raviartthomas1q2d.hh raviartthomas1q3d.hh raviartthomas2q2d.hh
			raviartthomas0cube2d.hh raviartthomas0cube3d.hh
			raviartthomas1cube2d.hh raviartthomas1cube3d.hh
			raviartthomas2cube2d.hh
			raviartthomascube.hh
			raviartthomassimplex.hh)

set(SUBDIRS
	raviartthomas02d
	raviartthomas0cube2d
	raviartthomas0cube3d
	raviartthomas12d
	raviartthomas1cube2d
	raviartthomas1cube3d
	raviartthomas2cube2d
	raviartthomassimplex)

install(FILES ${raviartthomas_HEADERS} DESTINATION ${raviartthomasdir})
foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/localfunctions/test/CMakeLists.txt ===
# $Id: Makefile.am 4150 2008-05-15 16:12:46Z christi $

if(dune-grid_FOUND AND ALUGRID_FOUND)
  set(ALUPROG  refinedp1test)
endif(dune-grid_FOUND AND ALUGRID_FOUND)

# which tests to run
set(TESTS  lagrangeshapefunctiontest
        monomshapefunctiontest
        virtualshapefunctiontest
        testgenericfem
	test-lagrange1
	test-lagrange2
	test-lagrange3
	test-orthonormal1
	test-orthonormal2
	test-orthonormal3
        ${ALUPROG})


# programs just to build when "make check" is used
set(check_PROGRAMS  ${TESTS})

# output code coverage
#AM_CXXFLAGS = @AM_CPPFLAGS@ -fprofile-arcs -ftest-coverage

set(noinst_HEADERS
        geometries.hh
        test-fe.hh
        test-localfe.hh)

# define the programs

add_executable(testgenericfem testgenericfem.cc)
add_dune_gmp_flags(testgenericfem)
target_link_libraries(testgenericfem ${DUNE_LIBS})
add_executable(lagrangeshapefunctiontest lagrangeshapefunctiontest.cc)
target_link_libraries(lagrangeshapefunctiontest ${DUNE_LIBS})
add_executable(monomshapefunctiontest monomshapefunctiontest.cc)
target_link_libraries(monomshapefunctiontest ${DUNE_LIBS})

add_executable(virtualshapefunctiontest virtualshapefunctiontest.cc)
target_link_libraries(virtualshapefunctiontest ${DUNE_LIBS})

if(dune-grid_FOUND AND ALUGRID_FOUND)
  add_executable(refinedp1test refinedp1test.cc)
  add_dune_alugrid_flags(refinedp1test)
endif(dune-grid_FOUND AND ALUGRID_FOUND)

list(APPEND TESTS test-edges0.5)
add_executable(test-edges0.5 test-edges0.5.cc)
target_link_libraries(test-edges0.5 ${DUNE_LIBS})

list(APPEND TESTS test-localfe)
add_executable(test-localfe test-localfe.cc)
target_link_libraries(test-localfe ${DUNE_LIBS})

list(APPEND TESTS test-monom)
add_executable(test-monom test-monom.cc)
target_link_libraries(test-monom ${DUNE_LIBS})

list(APPEND TESTS test-pk2d)
add_executable(test-pk2d test-pk2d.cc)
target_link_libraries(test-pk2d ${DUNE_LIBS})

list(APPEND TESTS test-power-monom)
add_executable(test-power-monom test-power-monom.cc)
target_link_libraries(test-power-monom ${DUNE_LIBS})

list(APPEND TESTS test-q1)
add_executable(test-q1 test-q1.cc)
target_link_libraries(test-q1 ${DUNE_LIBS})

list(APPEND TESTS test-q2)
add_executable(test-q2 test-q2.cc)
target_link_libraries(test-q2 ${DUNE_LIBS})

set(LAGRANGE1_TOPOLOGY  "Pyramid< Point >")
set(LAGRANGE1_SETTINGS  TOPOLOGY=${LAGRANGE1_TOPOLOGY})

add_executable(test-lagrange1 test-lagrange.cc)
set_property(TARGET test-lagrange1 APPEND PROPERTY COMPILE_DEFINITIONS ${LAGRANGE1_SETTINGS})
target_link_libraries(test-lagrange1 dunecommon)
add_dune_gmp_flags(test-lagrange1)

set(LAGRANGE2_TOPOLOGY  "Pyramid< ${LAGRANGE1_TOPOLOGY} >")
set(LAGRANGE2_SETTINGS  TOPOLOGY=${LAGRANGE2_TOPOLOGY})

add_executable(test-lagrange2 test-lagrange.cc)
set_property(TARGET test-lagrange2 APPEND PROPERTY COMPILE_DEFINITIONS ${LAGRANGE2_SETTINGS})
target_link_libraries(test-lagrange2 dunecommon)
add_dune_gmp_flags(test-lagrange2)

set(LAGRANGE3_TOPOLOGY  "Pyramid< ${LAGRANGE2_TOPOLOGY} >")
set(LAGRANGE3_SETTINGS  TOPOLOGY=${LAGRANGE3_TOPOLOGY})

add_executable(test-lagrange3 test-lagrange.cc)
set_property(TARGET test-lagrange3 APPEND PROPERTY COMPILE_DEFINITIONS ${LAGRANGE3_SETTINGS})
target_link_libraries(test-lagrange3 dunecommon)
add_dune_gmp_flags(test-lagrange3)

set(ORTHONORMAL1_TOPOLOGY  "Pyramid< Point >")
set(ORTHONORMAL1_SETTINGS  TOPOLOGY=${ORTHONORMAL1_TOPOLOGY})

add_executable(test-orthonormal1 test-orthonormal.cc)
set_property(TARGET test-orthonormal1 APPEND PROPERTY COMPILE_DEFINITIONS ${ORTHONORMAL1_SETTINGS})
target_link_libraries(test-orthonormal1 dunegeometry dunecommon)
add_dune_gmp_flags(test-orthonormal1)

set(ORTHONORMAL2_TOPOLOGY  "Pyramid< ${ORTHONORMAL1_TOPOLOGY} >")
set(ORTHONORMAL2_SETTINGS  TOPOLOGY=${ORTHONORMAL2_TOPOLOGY})

add_executable(test-orthonormal2 test-orthonormal.cc)
set_property(TARGET test-orthonormal2 APPEND PROPERTY COMPILE_DEFINITIONS ${ORTHONORMAL2_SETTINGS})
target_link_libraries(test-orthonormal2 dunegeometry dunecommon)
add_dune_gmp_flags(test-orthonormal2)

set(ORTHONORMAL3_TOPOLOGY  "Prism< ${ORTHONORMAL2_TOPOLOGY} >")
set(ORTHONORMAL3_SETTINGS  TOPOLOGY=${ORTHONORMAL3_TOPOLOGY})

add_executable(test-orthonormal3 test-orthonormal.cc)
set_property(TARGET test-orthonormal3 APPEND PROPERTY COMPILE_DEFINITIONS ${ORTHONORMAL3_SETTINGS})
target_link_libraries(test-orthonormal3 dunegeometry dunecommon)
add_dune_gmp_flags(test-orthonormal3)

list(APPEND TEST test-raviartthomas1simplex)

set(RT1_TOPOLOGY "Pyramid< Point >")
set(RT1_SETTINGS TOPOLOGY=${RT2_TOPOLOGY})
add_executable(test-raviartthomas1simplex test-raviartthomassimplex.cc)
target_link_libraries(test-raviartthomas1simplex ${DUNE_LIBS})
set_property(TARGET test-raviartthomas1simplex APPEND PROPERTY COMPILE_DEFINITIONS
  TOPOLOGY=Pyramid<Point>)
add_dune_gmp_flags(test-raviartthomas1simplex)

list(APPEND TEST test-raviartthomas2simplex)
set(RT2_TOPOLOGY "Pyramid< ${RT1_TOPOLOGY} >")
set(RT2_SETTINGS TOPOLOGY=${RT2_TOPOLOGY})
add_executable(test-raviartthomas2simplex test-raviartthomassimplex.cc)
target_link_libraries(test-raviartthomas2simplex ${DUNE_LIBS})
set_property(TARGET test-raviartthomas2simplex APPEND PROPERTY COMPILE_DEFINITIONS
  ${RT2_SETTINGS})
add_dune_gmp_flags(test-raviartthomas2simplex)

list(APPEND TEST test-raviartthomas3simplex)
set(RT3_TOPOLOGY "Pyramid< ${RT2_TOPOLOGY} >")
set(RT3_SETTINGS TOPOLOGY=${RT3_TOPOLOGY})
add_executable(test-raviartthomas3simplex test-raviartthomassimplex.cc)
target_link_libraries(test-raviartthomas3simplex ${DUNE_LIBS})
set_property(TARGET test-raviartthomas3simplex APPEND PROPERTY COMPILE_DEFINITIONS
  ${RT3_SETTINGS})
add_dune_gmp_flags(test-raviartthomas3simplex)

add_executable(test-raviartthomassimplex-all test-raviartthomassimplex.cc)
target_link_libraries(test-raviartthomassimplex-all ${DUNE_LIBS})
add_dune_gmp_flags(test-raviartthomassimplex-all)

set(TOPOLOGY  "Pyramid< Pyramid< Pyramid< Point > > >")
set(SETTINGS  TOPOLOGY=${TOPOLOGY})

add_executable(test-lagrange-all test-lagrange.cc)
add_dune_gmp_flags(test-lagrange-all)
target_link_libraries(test-lagrange-all dunecommon)

add_executable(test-orthonormal-all test-orthonormal.cc)
add_dune_gmp_flags(test-orthonormal-all)
target_link_libraries(test-orthonormal-all dunecommon)

foreach(i ${TESTS})
  add_test(${i} ${i})
endforeach(i ${TESTS})

# We do not want want to build the tests during make all
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTS} ${COMPILE_XFAIL_TESTS})

=== dune/localfunctions/lagrange/q2/CMakeLists.txt ===
set(q2dir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/q2)

set(q2_HEADERS  q2localbasis.hh q2localcoefficients.hh q2localinterpolation.hh)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${q2_HEADERS} DESTINATION ${q2dir})

=== dune/localfunctions/rannacherturek/rannacherturek2d/CMakeLists.txt ===
set(rannacherturek2ddir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/rannacherturek/rannacherturek2d)

set(rannacherturek2d_HEADERS
        rannacherturek2dlocalbasis.hh
        rannacherturek2dlocalcoefficients.hh
        rannacherturek2dlocalinterpolation.hh)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${rannacherturek2d_HEADERS} DESTINATION ${rannacherturek2ddir})

## dune-localfunctions 2.2.0

=== debian/changelog ===
dune-localfunctions (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:34:45 +0200

dune-localfunctions (2.2~svn1056-1) experimental; urgency=low

  * New upstream snapshot.
  * debian/copyright: Update years of copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 15:20:25 +0200

dune-localfunctions (2.2~svn1043-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 29 Mar 2012 20:15:03 +0200

=== debian/control ===
Source: dune-localfunctions
Section: libs
Priority: optional
Standards-Version: 3.9.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-localfunctions.git
Vcs-Git: git://git.debian.org/debian-science/packages/dune-localfunctions.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.2.0), libdune-geometry-dev (>= 2.2.0)
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf

Package: libdune-localfunctions-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libdune-common-dev (>= 2.2.0),
 libdune-geometry-dev (>= 2.2.0)
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- local basis (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the interface for the local
 basis and layout of the degrees of freedom.

Package: libdune-localfunctions-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- local basis (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the interface for the local
 basis and layout of the degrees of freedom.

## dune-localfunctions 2.2.1

=== debian/changelog ===
dune-localfunctions (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 19:18:12 +0200

dune-localfunctions (2.2.1-1) experimental; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 02:36:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-localfunctions.git
@@ -9,15 +9,15 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.2.0), libdune-geometry-dev (>= 2.2.0)
+ libdune-common-dev (>= 2.2.1), libdune-geometry-dev (>= 2.2.1)
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-localfunctions-dev
 Section: libdevel
 Architecture: all
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.2.0),
- libdune-geometry-dev (>= 2.2.0)
+ libdune-common-dev (>= 2.2.1),
+ libdune-geometry-dev (>= 2.2.1)
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-localfunctions 2.3.1

=== debian/changelog ===
dune-localfunctions (2.3.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Alexander Krampe <alexander.krampe@gmail.com>  Thu, 06 Nov 2014 16:32:20 +0100

dune-localfunctions (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 19:57:25 +0200

dune-localfunctions (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 20:46:44 +0200

dune-localfunctions (2.3.0-2) unstable; urgency=medium

  * Install /usr/share/dune-localfunctions.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 10:45:05 +0100

dune-localfunctions (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:32:02 +0100

dune-localfunctions (2.3~20140117beta2-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-localfunctions-dev.install: Install /usr/lib/cmake.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 22:10:38 +0100

dune-localfunctions (2.3~20140110beta1-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 13:43:42 +0100

dune-localfunctions (2.3~20131228gf8b14aa-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Use canonical Vcs-* URIs.
  * Drop pre-depends on dpkg (>= 1.15.6) which is already satisfied in
    Debian 6.
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:54:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-localfunctions.git
-Vcs-Git: git://git.debian.org/debian-science/packages/dune-localfunctions.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-localfunctions.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-localfunctions.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.2.1), libdune-geometry-dev (>= 2.2.1)
+ libdune-common-dev (>= 2.3.1), libdune-geometry-dev (>= 2.3.1)
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-localfunctions-dev
 Section: libdevel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.2.1),
- libdune-geometry-dev (>= 2.2.1)
-Pre-Depends: dpkg (>= 1.15.6)
+ libdune-common-dev (>= 2.3.1),
+ libdune-geometry-dev (>= 2.3.1)
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -31,8 +31,8 @@
 Package: libdune-localfunctions-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- local basis (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

## dune-localfunctions 2.4.0

=== debian/changelog ===
dune-localfunctions (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:33:39 +0200

dune-localfunctions (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 14:06:29 +0200

dune-localfunctions (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.
  * libdune-localfunctions-dev: Add -doc package as a suggested package.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 04 Sep 2015 15:56:24 +0200

dune-localfunctions (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 21:16:51 +0200

dune-localfunctions (2.4~20150610gf860790-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/copyright: Update for new upstream snapshot.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 19 Jun 2015 23:50:21 +0200

dune-localfunctions (2.4~20150506g11a11a8-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/copyright: Update for new upstream snapshot.
  * Add Build-Depends-Indep: graphviz for "dot".
  * (Build-)Depend on last DUNE upload.
  * Install documentation to correct location.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 06 May 2015 00:26:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-localfunctions.git
@@ -9,16 +9,18 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.3.1), libdune-geometry-dev (>= 2.3.1)
-Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
+ libdune-common-dev (>= 2.4.0),
+ libdune-geometry-dev (>= 2.4.0)
+Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-localfunctions-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.3.1),
- libdune-geometry-dev (>= 2.3.1)
+ libdune-common-dev (>= 2.4.0),
+ libdune-geometry-dev (>= 2.4.0)
+Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

## dune-localfunctions 2.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,6 @@
 # start a dune project with information from dune.module
 dune_project()
 
-# $Id: duneproject 5232 2008-07-03 09:34:11Z christi $
-
 # we need the module file to be able to build via dunecontrol
 set(EXTRA_DIST dune.module)

=== cmake/CMakeLists.txt ===
add_subdirectory(modules)
add_subdirectory(pkg)

=== doc/CMakeLists.txt ===
add_subdirectory(doxygen)
set(DOCFILES  dune-localfunctions-manual.pdf)
dune_add_latex_document(dune-localfunctions-manual.tex FATHER_TARGET doc DEFAULT_PDF)
create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/dune-localfunctions-manual.pdf  ${CMAKE_INSTALL_DOCDIR})

=== dune/CMakeLists.txt ===
set(dunedir  ${CMAKE_INSTALL_INCLUDEDIR}/dune)
set(SUBDIRS  localfunctions)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== m4/CMakeLists.txt ===
set(ALLM4S  dune-localfunctions.m4)

set(aclocaldir  ${CMAKE_INSTALL_DATADIR}/aclocal)
set(aclocal_DATA  ${ALLM4S})

set(EXTRA_DIST  ${ALLM4S})

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${aclocal_DATA} DESTINATION ${aclocaldir})

=== cmake/modules/CMakeLists.txt ===
set(modules DuneLocalfunctionsMacros.cmake)
install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== dune/localfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
         lagrange.hh
         mimetic.hh
         monom.hh
+        monomial.hh
         orthonormal.hh
         rannacherturek.hh
         raviartthomas.hh
@@ -13,12 +14,12 @@
 set(SUBDIRS
         brezzidouglasmarini
         common
-	dualmortarbasis
+        dualmortarbasis
         hierarchical
         lagrange
         meta
         mimetic
-        monom
+        monomial
         orthonormal
         rannacherturek
         raviartthomas
@@ -38,3 +39,11 @@
   add_subdirectory(${i} ${opt})
   unset(opt)
 endforeach(i ${SUBDIRS})
+
+# Install some test headers, because they might be useful for tests in
+# other modules.
+# We do this here as test will not be considered for make install.
+install(FILES test/geometries.hh
+        test/test-fe.hh
+        test/test-localfe.hh
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/test)

=== dune/localfunctions/brezzidouglasmarini/CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,8 @@
   brezzidouglasmarini1cube2d.hh
   brezzidouglasmarini1cube3d.hh
   brezzidouglasmarini2cube2d.hh
-  brezzidouglasmarini1q2d.hh
   brezzidouglasmarini1simplex2d.hh
-  brezzidouglasmarini2simplex2d.hh
-  brezzidouglasmarini12d.hh)
+  brezzidouglasmarini2simplex2d.hh)
 
 set(SUBDIRS
   brezzidouglasmarini1cube2d

=== dune/localfunctions/common/CMakeLists.txt ===
set(commondir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/common)
set(common_HEADERS
        interface.hh
        interfaceswitch.hh
        localbasis.hh
        localkey.hh
        localfiniteelementtraits.hh
        localtoglobaladaptors.hh
        virtualinterface.hh
        virtualwrappers.hh)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${common_HEADERS} DESTINATION ${commondir})

=== dune/localfunctions/dualmortarbasis/CMakeLists.txt ===
add_subdirectory(dualp1)
add_subdirectory(dualq1)
add_subdirectory(test EXCLUDE_FROM_ALL)

install(FILES
  dualp1.hh
  dualq1.hh
  dualpq1factory.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/dualmortarbasis)

# We do not want want to build the tests during make all
# but just build them on demand
add_directory_test_target(_test_target)

=== dune/localfunctions/hierarchical/CMakeLists.txt ===
set(hierarchicaldir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/hierarchical)
set(hierarchical_HEADERS  hierarchicalp2.hh hierarchicalp2withelementbubble.hh hierarchicalprismp2.hh)

set(SUBDIRS  hierarchicalp2 hierarchicalprismp2 hierarchicalp2withelementbubble)

# include not needed for CMake
# include $(top_srcdir)/am/global-rules

install(FILES ${hierarchical_HEADERS} DESTINATION ${hierarchicaldir})
foreach(i ${SUBDIRS})
  if(${i} STREQUAL "test")
    set(opt "EXCLUDE_FROM_ALL")
  endif(${i} STREQUAL "test")
  add_subdirectory(${i} ${opt})
  unset(opt)
endforeach(i ${SUBDIRS})

=== dune/localfunctions/lagrange/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(SUBDIRS  p0 p1 p23d pk1d pk2d pk3d prismp1 prismp2 pyramidp1 pyramidp2 q1 q2 qk)
+set(SUBDIRS  p0 p1 p23d pk1d pk2d pk3d prismp1 prismp2 pyramidp1 pyramidp2 q1 qk)
 
 set(lagrangedir  ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange)
 set(lagrange_HEADERS  emptypoints.hh        lagrangebasis.hh

=== debian/changelog ===
dune-localfunctions (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 10:35:27 +0100

dune-localfunctions (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 14:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-localfunctions.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-localfunctions.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-localfunctions.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-localfunctions.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.0),
- libdune-geometry-dev (>= 2.4.0)
+ libdune-common-dev (>= 2.4.1),
+ libdune-geometry-dev (>= 2.4.1)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-localfunctions-dev
@@ -18,8 +18,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.4.0),
- libdune-geometry-dev (>= 2.4.0)
+ libdune-common-dev (>= 2.4.1),
+ libdune-geometry-dev (>= 2.4.1)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-localfunctions 2.5.0

=== debian/changelog ===
dune-localfunctions (2.5.0-2) unstable; urgency=medium

  * Increase ε used for comparisons. (Closes: #860641)
    + patch: 0001-Merge-branch-bugfix-increase-epsilon-for-i386-into-m.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 20 Apr 2017 19:32:17 +0200

dune-localfunctions (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 13:53:46 +0100

dune-localfunctions (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:26:54 +0100

dune-localfunctions (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 21 Nov 2016 20:37:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-localfunctions.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-localfunctions.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.1),
- libdune-geometry-dev (>= 2.4.1)
-Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.5.0),
+ libdune-geometry-dev (>= 2.5.0)
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-localfunctions-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.4.1),
- libdune-geometry-dev (>= 2.4.1)
+ libdune-common-dev (>= 2.5.0),
+ libdune-geometry-dev (>= 2.5.0)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-localfunctions 2.5.1

=== CMakeLists.txt ===
# set up project
project("dune-localfunctions" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.12)

# guess dune-common build dir
if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH}
  "${PROJECT_SOURCE_DIR}/cmake/modules")

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory(doc)
add_subdirectory(dune)

finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== dune/localfunctions/CMakeLists.txt ===
add_subdirectory(brezzidouglasmarini)
add_subdirectory(common)
add_subdirectory(dualmortarbasis)
add_subdirectory(hierarchical)
add_subdirectory(lagrange)
add_subdirectory(meta)
add_subdirectory(mimetic)
add_subdirectory(monomial)
add_subdirectory(orthonormal)
add_subdirectory(rannacherturek)
add_subdirectory(raviartthomas)
add_subdirectory(refined)
add_subdirectory(test)
add_subdirectory(utility)
add_subdirectory(whitney)

install(FILES
  dualmortarbasis.hh
  lagrange.hh
  mimetic.hh
  monomial.hh
  orthonormal.hh
  rannacherturek.hh
  raviartthomas.hh
  refined.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions)

# Install some test headers, because they might be useful for tests in
# other modules.
# We do this here as test will not be considered for make install.
install(FILES
  test/geometries.hh
  test/test-fe.hh
  test/test-localfe.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/test)

=== dune/localfunctions/common/CMakeLists.txt ===
install(FILES
  interface.hh
  interfaceswitch.hh
  localbasis.hh
  localkey.hh
  localfiniteelementtraits.hh
  localtoglobaladaptors.hh
  virtualinterface.hh
  virtualwrappers.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/common)

=== dune/localfunctions/dualmortarbasis/CMakeLists.txt ===
add_subdirectory(dualp1)
add_subdirectory(dualq1)
add_subdirectory(test)

install(FILES
  dualp1.hh
  dualq1.hh
  dualpq1factory.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/dualmortarbasis)

=== dune/localfunctions/mimetic/CMakeLists.txt ===
install(FILES
  mimeticall.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/mimetic)

=== dune/localfunctions/monomial/CMakeLists.txt ===
install(FILES
  monomiallocalbasis.hh
  monomiallocalcoefficients.hh
  monomiallocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/monomial)

=== dune/localfunctions/rannacherturek/CMakeLists.txt ===
add_subdirectory(rannacherturek2d)
add_subdirectory(rannacherturek3d)

install(FILES ${rannacherturek_HEADERS}
  rannacherturek.hh
  rannachertureklocalbasis.hh
  rannachertureklocalcoefficients.hh
  rannachertureklocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/rannacherturek)

=== dune/localfunctions/test/CMakeLists.txt ===
dune_add_test(SOURCES testgenericfem.cc)

dune_add_test(SOURCES lagrangeshapefunctiontest.cc)

dune_add_test(SOURCES monomialshapefunctiontest.cc)

dune_add_test(SOURCES virtualshapefunctiontest.cc)

dune_add_test(SOURCES test-edges0.5.cc)

dune_add_test(SOURCES test-localfe.cc)

dune_add_test(SOURCES test-monomial)

dune_add_test(SOURCES test-pk2d.cc)

dune_add_test(SOURCES test-power-monomial.cc)

dune_add_test(SOURCES test-q1.cc)

dune_add_test(SOURCES test-q2.cc)

dune_add_test(NAME test-lagrange1
              SOURCES test-lagrange.cc
              COMPILE_DEFINITIONS TOPOLOGY=Pyramid<Point>)

dune_add_test(NAME test-lagrange2
              SOURCES test-lagrange.cc
              COMPILE_DEFINITIONS "TOPOLOGY=Pyramid<Pyramid<Point> >")

dune_add_test(NAME test-lagrange3
              SOURCES test-lagrange.cc
              COMPILE_DEFINITIONS "TOPOLOGY=Pyramid<Pyramid<Pyramid<Point> > >")

dune_add_test(NAME test-orthonormal1
              SOURCES test-orthonormal.cc
              COMPILE_DEFINITIONS TOPOLOGY=Pyramid<Point>)

dune_add_test(NAME test-orthonormal2
              SOURCES test-orthonormal.cc
              COMPILE_DEFINITIONS "TOPOLOGY=Pyramid<Pyramid<Point> >")

dune_add_test(NAME test-orthonormal3
              SOURCES test-orthonormal.cc
              COMPILE_DEFINITIONS "TOPOLOGY=Pyramid<Pyramid<Pyramid<Point> > >")

dune_add_test(NAME test-raviartthomassimplex1
              SOURCES test-raviartthomassimplex.cc
              COMPILE_DEFINITIONS TOPOLOGY=Pyramid<Point>)

dune_add_test(NAME test-raviartthomassimplex2
              SOURCES test-raviartthomassimplex.cc
              COMPILE_DEFINITIONS "TOPOLOGY=Pyramid<Pyramid<Point> >")

dune_add_test(NAME test-raviartthomassimplex3
              SOURCES test-raviartthomassimplex.cc
              COMPILE_DEFINITIONS "TOPOLOGY=Pyramid<Pyramid<Pyramid<Point> > >")

dune_add_test(NAME test-raviartthomassimplex-all
              SOURCES test-raviartthomassimplex.cc)

dune_add_test(NAME test-lagrange-all
              SOURCES test-lagrange.cc
              TIMEOUT 600)

dune_add_test(NAME test-orthonormal-all
              SOURCES test-orthonormal.cc)

=== dune/localfunctions/whitney/CMakeLists.txt ===
add_subdirectory(edges0.5)

install(FILES
  edges0.5.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/whitney)

=== dune/localfunctions/lagrange/p1/CMakeLists.txt ===
install(FILES
  p1localbasis.hh
  p1localcoefficients.hh
  p1localinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/p1)

=== dune/localfunctions/lagrange/p23d/CMakeLists.txt ===
install(FILES
  p23dlocalbasis.hh
  p23dlocalcoefficients.hh
  p23dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/p23d)

=== dune/localfunctions/lagrange/pk2d/CMakeLists.txt ===
install(FILES
  pk2dlocalbasis.hh
  pk2dlocalcoefficients.hh
  pk2dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/pk2d)

=== debian/changelog ===
dune-localfunctions (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867079)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:08:08 +0200

dune-localfunctions (2.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Remove patch (applied upstream).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Jun 2017 17:14:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-localfunctions.git
@@ -9,17 +9,17 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.0),
- libdune-geometry-dev (>= 2.5.0)
-Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, pgf
+ libdune-common-dev (>= 2.5.1),
+ libdune-geometry-dev (>= 2.5.1)
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 
 Package: libdune-localfunctions-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.5.0),
- libdune-geometry-dev (>= 2.5.0)
+ libdune-common-dev (>= 2.5.1),
+ libdune-geometry-dev (>= 2.5.1)
 Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
